Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionSpinBox Class Reference

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box. More...

    #include <QStyleOptionSpinBox>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Read-Only Properties

buttonSymbols : QAbstractSpinBox::ButtonSymbols percentage : double showFrame : bool | showSliderIndicator : bool stepEnabled : QAbstractSpinBox::StepEnabled

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionSpinBox ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box.

The QStyleOptionSpinBox is used for drawing QSpinBox and QDateTimeEdit.

## Property Documentation

### buttonSymbols : QAbstractSpinBox::ButtonSymbols

This property holds the type of button symbols to draw for the spin box.

See also QAbstractSpinBox::ButtonSymbols.

### percentage : double

This property holds the percentage of the spin box.

The percentage is the quotient of the current value divided by the maximum value.

### showFrame : bool

This property holds indicates whether a frame should be drawn.

### showSliderIndicator : bool

This property holds indicates whether the slider indicator should be drawn.

### stepEnabled : QAbstractSpinBox::StepEnabled

This property holds indicates which buttons of the spin box are enabled.

See also QAbstractSpinBox::StepEnabled.

## Member Function Documentation

### QStyleOptionSpinBox::QStyleOptionSpinBox ()

Constructs a QStyleOptionSpinBox. The members variables are initialized to default values.